Bug 128222 - subversion improper repositiy authorization
Summary: subversion improper repositiy authorization
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: subversion (Show other bugs)
(Show other bugs)
Version: 2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Joe Orton
QA Contact:
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-07-20 12:49 UTC by Josh Bressers
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-23 08:44:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Josh Bressers 2004-07-20 12:49:46 UTC
Subversion versions up to and including 1.0.5 have a bug in
mod_authz_svn that allows users with write access to read
portions of the repository that they do not have read access
to.  Subversion 1.0.6 and newer (including 1.1.0-rc1) are not
vulnerable to this issue.

More information here:
http://subversion.tigris.org/servlets/NewsItemView?newsItemID=832

This issue also affects FC1.

Comment 1 Mark J. Cox 2004-08-23 08:44:30 UTC
Fixed for FC2, FEDORA-2004-231.  Minor issue for FC1, won't fix


Note You need to log in before you can comment on or make changes to this bug.